Package net.shibboleth.idp.attribute.resolver.dc.saml

# Interface ExecutableQuery

All Superinterfaces:
  `ExecutableSearch`

All Known Implementing Classes:
  `ExecutableQueryBuilder.StandardExecutableQuery`

public interface ExecutableQuery extends ExecutableSearch
A query that can be executed against a SAML 2 AttributeAuthority to fetch results.

## Method Summary

Modifier and Type
Method
Description
`ResponseData`
`execute(SOAPClient soapClient)`
Executes the query and returns the results.

### Methods inherited from interface net.shibboleth.idp.attribute.resolver.dc.ExecutableSearch

`getResultCacheKey`

## Method Details

### execute

@Nonnull ResponseData execute(@Nonnull SOAPClient soapClient) throws SAMLException, SOAPException, SecurityException
Executes the query and returns the results.

Parameters:
  `soapClient` - SOAP client to process the query
Returns:
  the result of the executed query
Throws:
  `SAMLException` - if there is a SAML error during resolution
  `SOAPException` - if there is a SOAP error during resolution
  `SecurityException` - if there there is a security-related error during resolution